/*******************************************************************************
 *	ChaseDa.h		CHASE_DA definititions
 *				T.Barnaby,	BEAM Ltd,	2009-04-21
 *******************************************************************************
 *
 * Copyright (c) 2009 BEAM Ltd. All rights reserved.
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING in the main directory of this source tree, or the
 * OpenIB.org BSD license below:
 *
 *     Redistribution and use in source and binary forms, with or
 *     without modification, are permitted provided that the following
 *     conditions are met:
 *
 *      - Redistributions of source code must retain the above
 *        copyright notice, this list of conditions and the following
 *        disclaimer.
 *
 *      - Redistributions in binary form must reproduce the above
 *        copyright notice, this list of conditions and the following
 *        disclaimer in the documentation and/or other materials
 *        provided with the distribution.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
#ifndef _CHASE_DA_H
#define _CHASE_DA_H

// Board types
#define CHASE_DA11000			3
#define CHASE_DA4300			2
#define CHASE_DA8150			1

#define CHASE_DA_CMD_GETINFO		_IOR('Z', 0, ChaseDaInfo)
#define CHASE_DA_CMD_MEM_ENABLE		_IOW('Z', 1, uint32_t)
#define CHASE_DA_CMD_SET_CLOCK		_IOW('Z', 2, uint32_t)
#define CHASE_DA_CMD_SET_TRIGGER	_IOW('Z', 3, uint32_t)
#define CHASE_DA_CMD_SOFT_TRIGGER	_IO('Z', 4)	
#define CHASE_DA_CMD_SET_ATTENUATION	_IOW('Z', 5, ChaseDaAttenuation)

typedef struct {
	uint32_t	boardType;
	uint32_t	regsPhysAddress;
	uint32_t	regsLen;
	uint32_t	memPhysAddress;
	uint32_t	memLen;
} ChaseDaInfo;

typedef struct {
	uint32_t	chan;
	uint32_t	value;
} ChaseDaAttenuation;

#endif


